/*

	Copyright  2003 Frank Condello
	
	Portions Copyright  2001 Dair Grant <mailto:dair@webthing.net>
	and Copyright  2003 Joe Strout <joe@strout.net> (from "LoadSaveJPEG")
	
	"GetData" based on code by Will Leshner <leshner@ljug.com>
	
	Linux port contributed by Jonathan Johnson <jonj@realsoftware.com>
	
*/

/* MachoGlue.h */

Boolean InitMachoFunctionPointers (void);
extern Boolean machFuncsAvailable;

typedef void * (*CGBitmapContextGetDataPtr)(CGContextRef c);
#define CGBitmapContextGetData fCGBitmapContextGetData
extern CGBitmapContextGetDataPtr CGBitmapContextGetData;

typedef size_t (*CGBitmapContextGetWidthPtr)(CGContextRef c);
#define CGBitmapContextGetWidth fCCGBitmapContextGetWidth
extern CGBitmapContextGetWidthPtr CGBitmapContextGetWidth;

typedef size_t (*CGBitmapContextGetHeightPtr)(CGContextRef c);
#define CGBitmapContextGetHeight fCGBitmapContextGetHeight
extern CGBitmapContextGetHeightPtr CGBitmapContextGetHeight;

typedef size_t (*CGBitmapContextGetBytesPerRowPtr)(CGContextRef c);
#define CGBitmapContextGetBytesPerRow fCGBitmapContextGetBytesPerRow
extern CGBitmapContextGetBytesPerRowPtr CGBitmapContextGetBytesPerRow;

typedef size_t (*CGBitmapContextGetBitsPerPixelPtr)(CGContextRef c);
#define CGBitmapContextGetBitsPerPixel fCGBitmapContextGetBitsPerPixel
extern CGBitmapContextGetBitsPerPixelPtr CGBitmapContextGetBitsPerPixel;